--[[----------------------------------------------------------------------------

MuyphotoUpdateEvents.lua
Updates photo events from Muyphoto

--------------------------------------------------------------------------------

Copyright 2018 Grand Avocado Ltd.
All Rights Reserved.

------------------------------------------------------------------------------]]

local LrFunctionContext = import 'LrFunctionContext'

	-- Include local components
require 'MuyphotoExportServiceProvider'
require 'MuyphotoAPI'
require 'Utils'

LrFunctionContext.postAsyncTaskWithContext(
	LOC "$$$/Export/EventUpdateTaskName=Update event collection",
	function( context )
		MuyphotoAPI.getEvents( nil )
	end
)
